<?php
/**************************************************
  Coppermine 1.5.x Plugin - loadscripts
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

// Define plugin actions here
$thisplugin->add_action('plugin_install','loadscripts_install');
$thisplugin->add_action('plugin_uninstall','loadscripts_uninstall');



$thisplugin->add_filter('page_meta','scriptload');


// Define plugin filters here

// Define the plugin's functions here
function loadscripts_install() {
    global $CONFIG;
    
	// Add the config options for the plugin

    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_enable', '1')");
	  cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_short', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_new', '1')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_noconflict', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_compress', '1')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_chrome_frame', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_dojo', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_ext_core', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jquery', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jqueryui', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_mootools', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_prototype', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_scriptaculous', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_swfobject', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_webfont', '0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_cf_version', '1.0.3')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_dojo_version', '1.9.2')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_ext_version', '3.1.0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jquery_version', '1.10.2')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_jqueryui_version', '1.10.3')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_mootools_version', '1.4.5')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_prototype_version', '1.7.1.0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_scriptaculous_version', '1.9.0')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_swfobject_version', '2.2')");
    cpg_db_query("INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} (`name`, `value`) VALUES ('plugin_loadscripts_webfont_version', '1.5.0')");
    
    return true;
}

function loadscripts_uninstall() {
    global $CONFIG, $lang_errors;
    
	$superCage = Inspekt::makeSuperCage();
    if (!checkFormToken()) {
        cpg_die(ERROR, $lang_errors['invalid_form_token'], __FILE__, __LINE__);
    }
    // Delete the plugin config records
 
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_enable'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_short'");
	  cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_new'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_noconflict'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_compress'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_chrome_frame'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_dojo'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_ext_core'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jquery'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jqueryui'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_mootools'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_prototype'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_scriptaculous'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_swfobject'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_webfont'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_cf_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_dojo_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_ext_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jquery_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_jqueryui_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_mootools_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_prototype_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_scriptaculous_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_swfobject_version'");
    cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'plugin_loadscripts_webfont_version'");
    return true;
}

function scriptload ($html){
    global $CONFIG, $CPG_PHP_SELF, $JS, $template_header;
if ($CONFIG['plugin_loadscripts_enable'] == 1) {    
   $scriptstart = '<!-- Start Load Script Plugin here -->'."\n";
   $scriptend =  '<!-- End of Load Script Plugin here -->'."\n";


if  ($CONFIG['plugin_loadscripts_noconflict'] == 1 && $CONFIG['plugin_loadscripts_jquery'] == 1){
    $noconflict = '<script type="text/javascript">jQuery.noConflict();</script>'."\n";
    } else  {
    $noconflict = "";       
    }    
       
if ($CONFIG['plugin_loadscripts_short'] == 1){
    //short link
    
    $first_line = '<script type="text/javascript" src="https://www.google.com/jsapi"></script>'."\n";
    $compress = ($CONFIG['plugin_loadscripts_compress'] == 0)?", {uncompressed:true}":"";
    $before = '<script type="text/javascript">'."\n";
    $after = '</script>'."\n";
    
    if  ($CONFIG['plugin_loadscripts_chrome_frame'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $chrome_frame = 'google.load("chrome-frame", "1"'.$compress.');'."\n";
        } else  {
        $chrome_frame = 'google.load("chrome-frame", "'."{$CONFIG['plugin_loadscripts_cf_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $chrome_frame = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_dojo'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $dojo = 'google.load("dojo", "1"'.$compress.');'."\n";
        } else  {
        $dojo = 'google.load("dojo", "'."{$CONFIG['plugin_loadscripts_dojo_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $dojo = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_ext_core'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $ext_core = 'google.load("ext-core", "1"'.$compress.');'."\n";
        } else  {
        $ext_core = 'google.load("ext-core", "'."{$CONFIG['plugin_loadscripts_ext_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $ext_core = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_jquery'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $jquery = 'google.load("jquery", "1"'.$compress.');'."\n";
        } else  {
        $jquery = 'google.load("jquery", "'."{$CONFIG['plugin_loadscripts_jquery_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $jquery = "";
    }

    if  ($CONFIG['plugin_loadscripts_jqueryui'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $jqueryui = 'google.load("jqueryui", "1"'.$compress.');'."\n";
        } else  {
        $jqueryui = 'google.load("jqueryui", "'."{$CONFIG['plugin_loadscripts_jqueryui_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $jqueryui = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_mootools'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $mootools = 'google.load("mootools", "1"'.$compress.');'."\n";
        } else  {
        $mootools = 'google.load("mootools", "'."{$CONFIG['plugin_loadscripts_mootools_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $mootools = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_prototype'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $prototype = 'google.load("prototype", "1"'.$compress.');'."\n";
        } else  {
        $prototype = 'google.load("prototype", "'."{$CONFIG['plugin_loadscripts_prototype_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $prototype = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_scriptaculous'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $scriptaculous = 'google.load("scriptaculous", "1"'.$compress.');'."\n";
        } else  {
        $scriptaculous = 'google.load("scriptaculous", "'."{$CONFIG['plugin_loadscripts_scriptaculous_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $scriptaculous = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_swfobject'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $swfobject = 'google.load("swfobject", "1"'.$compress.');'."\n";
        } else  {
        $swfobject = 'google.load("swfobject", "'."{$CONFIG['plugin_loadscripts_swfobject_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $swfobject = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_webfont'] == 1){
        if ($CONFIG['plugin_loadscripts_new'] == 1){
        $webfont = 'google.load("webfont", "1"'.$compress.');'."\n";
        } else  {
        $webfont = 'google.load("webfont", "'."{$CONFIG['plugin_loadscripts_webfont_version']}".'"'.$compress.');'."\n";       
        }
        
    } else {
     $webfont = "";
    }



$scriptadded = $scriptstart.$first_line.$before.$chrome_frame.$dojo.
               $ext_core.$jquery.$jqueryui.$mootools.$prototype.$scriptaculous.
               $swfobject.$webfont.$after.$noconflict.$scriptend;

} else {

    $before = '<script type="text/javascript" src="';
    $after = '"></script>'."\n";

    if  ($CONFIG['plugin_loadscripts_chrome_frame'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $chrome_frame = $before.'//ajax.googleapis.com/ajax/libs/chrome-frame/'.$CONFIG['plugin_loadscripts_cf_version'].'/CFInstall.min.js'.$after;
        } else  {
        $chrome_frame = $before.'//ajax.googleapis.com/ajax/libs/chrome-frame/'.$CONFIG['plugin_loadscripts_cf_version'].'/CFInstall.js'.$after;       
        }
    } else {
     $chrome_frame = "";
    }

    if  ($CONFIG['plugin_loadscripts_dojo'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $dojo = $before.'//ajax.googleapis.com/ajax/libs/dojo/'.$CONFIG['plugin_loadscripts_dojo_version'].'/dojo/dojo.js'.$after;
        } else  {
        $dojo = $before.'//ajax.googleapis.com/ajax/libs/dojo/'.$CONFIG['plugin_loadscripts_dojo_version'].'/dojo/dojo.js.uncompressed.js'.$after;       
        }
    } else {
     $dojo = "";
    }

    if  ($CONFIG['plugin_loadscripts_ext_core'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $ext_core = $before.'//ajax.googleapis.com/ajax/libs/ext-core/'.$CONFIG['plugin_loadscripts_ext_version'].'/ext-core.js'.$after;
        } else  {
        $ext_core = $before.'//ajax.googleapis.com/ajax/libs/ext-core/'.$CONFIG['plugin_loadscripts_ext_version'].'/ext-core-debug.js'.$after;       
        }
    } else {
     $ext_core = "";
    }

    if  ($CONFIG['plugin_loadscripts_jquery'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $jquery = $before.'//ajax.googleapis.com/ajax/libs/jquery/'.$CONFIG['plugin_loadscripts_jquery_version'].'/jquery.min.js'.$after;
        } else  {
        $jquery = $before.'//ajax.googleapis.com/ajax/libs/jquery/'.$CONFIG['plugin_loadscripts_jquery_version'].'/jquery.js'.$after;       
        }
    } else {
     $jquery = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_jqueryui'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $jqueryui = $before.'//ajax.googleapis.com/ajax/libs/jqueryui/'.$CONFIG['plugin_loadscripts_jqueryui_version'].'/jquery-ui.min.js'.$after;
        } else  {
        $jqueryui = $before.'//ajax.googleapis.com/ajax/libs/jqueryui/'.$CONFIG['plugin_loadscripts_jqueryui_version'].'/jquery-ui.js'.$after;       
        }
    } else {
     $jqueryui = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_mootools'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $mootools = $before.'//ajax.googleapis.com/ajax/libs/mootools/'.$CONFIG['plugin_loadscripts_mootools_version'].'/mootools-yui-compressed.js'.$after;
        } else  {
        $mootools = $before.'//ajax.googleapis.com/ajax/libs/mootools/'.$CONFIG['plugin_loadscripts_mootools_version'].'/mootools.js'.$after;       
        }
    } else {
     $mootools = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_prototype'] == 1){
        $prototype = $before.'//ajax.googleapis.com/ajax/libs/prototype/'.$CONFIG['plugin_loadscripts_prototype_version'].'/prototype.js'.$after;
    } else {
     $prototype = "";
    }
    
    if  ($CONFIG['plugin_loadscripts_scriptaculous'] == 1){
        $scriptaculous = $before.'//ajax.googleapis.com/ajax/libs/scriptaculous/'.$CONFIG['plugin_loadscripts_scriptaculous_version'].'/scriptaculous.js'.$after;
    } else {
     $scriptaculous = "";
    }

    if  ($CONFIG['plugin_loadscripts_swfobject'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $swfobject = $before.'//ajax.googleapis.com/ajax/libs/swfobject/'.$CONFIG['plugin_loadscripts_swfobject_version'].'/swfobject.js'.$after;
        } else  {
        $swfobject = $before.'//ajax.googleapis.com/ajax/libs/swfobject/'.$CONFIG['plugin_loadscripts_swfobject_version'].'/swfobject_src.js'.$after;       
        }
    } else {
     $swfobject = "";
    }

     if  ($CONFIG['plugin_loadscripts_webfont'] == 1){
        if ($CONFIG['plugin_loadscripts_compress'] == 1){
        $webfont = $before.'//ajax.googleapis.com/ajax/libs/webfont/'.$CONFIG['plugin_loadscripts_webfont_version'].'/webfont.js'.$after;
        } else  {
        $webfont = $before.'//ajax.googleapis.com/ajax/libs/webfont/'.$CONFIG['plugin_loadscripts_webfont_version'].'/webfont_debug.js'.$after;       
        }
    } else {
     $webfont = "";
    }

$scriptadded = $scriptstart.$chrome_frame.$dojo.
           $ext_core.$jquery.$jqueryui.$mootools.$prototype.$scriptaculous.
           $swfobject.$webfont.$noconflict.$scriptend;

}
$html = $scriptadded . $html;
}
return $html;    
}


?>